using System;

namespace Banquet
{
	internal class ExplorerCommandHandler : CommandHandler
	{
		private readonly ExplorerToolWindow toolWindow;

		public ExplorerCommandHandler(ExplorerToolWindow toolWindow)
		{
			this.toolWindow = toolWindow;
		}

		public void RegisterCommands()
		{
			base.Register(new Guid(GuidList.guidCmdSet), CommandIds.cmdidRefreshExplorer, DefaultQueryStatus, Refresh_Exec);
			base.Register(new Guid(GuidList.guidCmdSet), CommandIds.cmdidHideShowFolders, DefaultQueryStatus, HideShowFolders_Exec);
			base.Register(new Guid(GuidList.guidCmdSet), CommandIds.cmdidBranch, DefaultQueryStatus, Branch_Exec);
		}

		private bool Branch_Exec(CommandHandler handler, Command command, int commandId)
		{
			this.toolWindow.Branch();
			return true;
		}

		private bool HideShowFolders_Exec(CommandHandler handler, Command command, int commandId)
		{
			return true;
		}

		private bool Refresh_Exec(CommandHandler handler, Command command, int commandId)
		{
			this.toolWindow.Refresh();
			return true;
		}
	}
}