using System;

namespace Banquet
{
	internal class PackageCommandHandler : CommandHandler
	{
		private readonly BanquetPackage package;

		public PackageCommandHandler(BanquetPackage package)
		{
			this.package = package;
		}

		public void RegisterCommands()
		{
			base.Register(new Guid(GuidList.guidCmdSet), CommandIds.cmdidShowExplorerWindow, base.DefaultQueryStatus, new ExecCallback(ShowExplorerWindow_Exec));
		}

		protected override bool OnQueryStatus(Command command, int commandId)
		{
			IServiceProvider sp = this.package;
			SccProviderService sccProvider = (SccProviderService)sp.GetService(typeof(SccProviderService));

			if (!sccProvider.Active)
			{
				command.Enabled = false;
				command.Visible = false;
				return true;
			}

			return base.OnQueryStatus(command, commandId);
		}

		private bool ShowExplorerWindow_Exec(CommandHandler handler, Command command, int commandId)
		{
			this.package.OpenToolWindow(typeof(ExplorerToolWindow));
			return true;
		}
	}
}