using System;
using System.Drawing;
using System.Windows.Forms;

namespace Banquet
{
	internal class ExplorerTreeGrid : TreeGrid
	{
		private ExplorerTree tree;

		public ExplorerTreeGrid()
		{
			if (base.DesignMode)
			{
				return;
			}

			this.tree = new ExplorerTree();

			ImageList imageList = new ImageList();
			imageList.ColorDepth = ColorDepth.Depth24Bit;
			imageList.ImageSize = new Size(16, 16);
			imageList.TransparentColor = Color.Magenta;
			imageList.Images.AddStrip(GuiResources.listviewicons);
			//imageList.Images.AddStrip(GuiResources.listviewoverlays);

			ImageList stateImageList = new ImageList();
			stateImageList.ColorDepth = ColorDepth.Depth24Bit;
			stateImageList.ImageSize = new Size(7, 16);
			stateImageList.TransparentColor = Color.Magenta;
			//stateImageList.Images.AddStrip(GuiResources.listviewglyphs);

			base.Tree = this.tree;
			base.HasGridLines = false;
			base.HasLines = true;
			base.DisplayColumnHeaders = false;
			base.MultiColumnHighlight = false;
			base.StandardCheckBoxes = false;
			base.SelectionMode = SelectionMode.One;
			base.DistinguishFocusedColumn = false;
			//base.SetColumnHeaders(new VirtualTreeColumnHeader[] { new VirtualTreeColumnHeader(GuiResources.ExplorerTreeGrid_Name, 20f, 150), new VirtualTreeColumnHeader(GuiResources.ExplorerTreeGrid_Location, 40f, 200), new VirtualTreeColumnHeader(GuiResources.ExplorerTreeGrid_Workspace, 40f, 200) }, true);
			base.ImageList = imageList;
			base.StateImageList = stateImageList;
		}
	}
}