using System;
using System.Runtime.InteropServices;

namespace Banquet
{
	internal static class NativeMethods
	{
		public const int ShgfiLargeIcon = 0x0;
		public const int ShgfiSmallIcon = 0x1;
		public const int ShgfiOpenIcon = 0x2;
		public const int ShgfiShellIconSize = 0x4;
		public const int ShgfiUseFileAttributes = 0x10;
		public const int ShgfiIcon = 0x100;
		public const int ShgfiTypeName = 0x400;
		public const int ShgfiSysIconIndex = 0x4000;
		public const int ShgfiSelected = 0x10000;

		public const int WS_BORDER = 0x800000;

		public const int WS_EX_CLIENTEDGE = 0x200;

		#region Comctl32 Methods

		[DllImport("comctl32")]
		public static extern int ImageList_GetIconSize(IntPtr himage, out int cx, out int cy);

		#endregion

		#region Shell32 Methods

		[DllImport("shell32", CharSet = CharSet.Unicode)]
		public static extern IntPtr SHGetFileInfoW(string pszPath, int dwFileAttributes, ref ShFileInfoW psfi, int cbSizeFileInfo, int uFlags);

		#endregion

		#region User32 Methods

		[DllImport("user32")]
		public static extern bool DestroyIcon(IntPtr hIcon);

		#endregion

		[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Unicode)]
		internal struct ShFileInfoW
		{
			public IntPtr hIcon;
			public int iIcon;
			public int dwAttributes;
			[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 260)]
			public string szDisplayName;
			[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 80)]
			public string szTypeName;
		}
	}
}