using System;
using System.ComponentModel.Design;
using System.Runtime.InteropServices;

namespace Banquet
{
	[Guid(GuidList.guidExplorerToolWindow)]
	internal class ExplorerToolWindow : ToolWindowPaneBase
	{
		private readonly ExplorerCommandHandler commandHandler;

		public ExplorerToolWindow()
			: base(new ExplorerToolWindowControl())
		{
			base.BitmapIndex = 1;
			base.BitmapResourceID = 301;
			base.Caption = GuiResources.ExplorerToolWindow_Caption;
			base.ToolBar = new CommandID(new Guid(GuidList.guidCmdSet), CommandIds.IDM_BANQUET_TOOL_EXPLORER);

			this.commandHandler = new ExplorerCommandHandler(this);
			this.commandHandler.RegisterCommands();
		}

		protected override void InitializeToolWindowUI()
		{
			base.InitializeToolWindowUI();

			BanquetPackage package = (BanquetPackage)base.Package;
			package.AddSecondaryCommandHandler(this.commandHandler);
		}

		public void Branch()
		{
		}

		public void Refresh()
		{
		}
	}
}