using System;
using System.Windows.Forms;

namespace Banquet
{
	internal class ExplorerToolWindowControl : ToolWindowControlBase
	{
		private readonly ExplorerTreeGrid explorerTree;

		public ExplorerToolWindowControl()
		{
			this.explorerTree = new ExplorerTreeGrid();
		}

		protected internal override void InitializeToolWindowUI()
		{
			base.InitializeToolWindowUI();

			base.SuspendLayout();

			this.explorerTree.BorderStyle = BorderStyle.None;
			this.explorerTree.Dock = DockStyle.Fill;

			Label l = new Label();
			l.Dock = DockStyle.Bottom;
			l.Size = new System.Drawing.Size(0, 100);
			l.BackColor = System.Drawing.SystemColors.Control;
			l.Padding = new Padding(10);
			l.Text = "...";

			Label l1 = new Label();
			l1.Dock = DockStyle.Bottom;
			l1.Size = new System.Drawing.Size(0, 1);
			l1.BackColor = base.BackColor;

			base.Controls.Add(this.explorerTree);
			base.Controls.Add(l1);
			base.Controls.Add(l);
			base.Name = GetType().Name;
			base.Padding = new Padding(1);
			base.ResumeLayout();
		}

		public ExplorerTree Tree
		{
			get
			{
				return (ExplorerTree)this.explorerTree.Tree;
			}
		}
	}
}