using System;
using System.Drawing;
using System.Windows.Forms;
using System.Windows.Forms.Design;

namespace Banquet
{
	internal abstract class ToolWindowControlBase : UserControl
	{
		public ToolWindowControlBase()
		{
		}

		protected internal virtual void InitializeToolWindowUI()
		{
			IUIService service = (IUIService)GetService(typeof(IUIService));
			if (service != null)
			{
				Font font = service.Styles["DialogFont"] as Font;
				if (font != null)
				{
					this.Font = font;
				}

				object color = service.Styles["VsColorToolWindowBorder"];
				if (color != null)
				{
					this.BackColor = (Color)color;
				}
			}
		}
	}
}