using System;

namespace Canonical.Bazaar
{
	public class MoveFailedException : BazaarException
	{
		public MoveFailedException(string fromPath, string toPath)
			: base(FormatMessage(fromPath, toPath))
		{
		}

		protected MoveFailedException(string message)
			: base(message)
		{
		}

		private static string FormatMessage(string fromPath, string toPath)
		{
			string message;

			if (string.IsNullOrEmpty(fromPath))
			{
				if (string.IsNullOrEmpty(toPath))
				{
					message = Messages.MoveFailed;
				}
				else
				{
					message = Messages.MoveFailed_To;
				}
			}
			else
			{
				if (string.IsNullOrEmpty(toPath))
				{
					message = Messages.MoveFailed_From;
				}
				else
				{
					message = Messages.MoveFailed_Both;
				}
			}

			return string.Format(null, message, fromPath, toPath);
		}
	}
}