using System;

namespace Canonical.Bazaar
{
	public class RenameFailedException : MoveFailedException
	{
		public RenameFailedException(string fromPath, string toPath)
			: base(FormatMessage(fromPath, toPath))
		{
		}

		private static string FormatMessage(string fromPath, string toPath)
		{
			string message;

			if (string.IsNullOrEmpty(fromPath))
			{
				if (string.IsNullOrEmpty(toPath))
				{
					message = Messages.RenameFailed;
				}
				else
				{
					message = Messages.RenameFailed_To;
				}
			}
			else
			{
				if (string.IsNullOrEmpty(toPath))
				{
					message = Messages.RenameFailed_From;
				}
				else
				{
					message = Messages.RenameFailed_Both;
				}
			}

			return string.Format(null, message, fromPath, toPath);
		}
	}
}