using System;
using System.Collections.Generic;

namespace Python
{
	public class PythonIterator<T> : PythonObject, IEnumerator<T> where T : PythonObject, new()
	{
		private T current;

		public PythonIterator()
		{
		}

		public T Current
		{
			get
			{
				return current;
			}
		}

		object System.Collections.IEnumerator.Current
		{
			get
			{
				return current;
			}
		}

		public bool MoveNext()
		{
			this.current = NativeMethods.PyIter_Next<T>(this);

			if (this.current.IsInvalid)
			{
				PythonException.ThrowIfErrorOccurred();
				return false;
			}

			return true;
		}

		void System.Collections.IEnumerator.Reset()
		{
			throw new NotSupportedException();
		}
	}
}